:root{
	
	--morado-100: #6E20BC;
	--morado-80: #8B4DC9;
	--morado-60: #A879D7;
	--morado-40: #C5A6E4;
	--morado-20: #E2D2F2;
	--morado-10: #F0E9F8;
	--morado-5: #F8F4FC;
	--morado-hover: #5704AA;
	--morado-background: #FFFCFF;
	--negro-100: #2A2A2A;
	--negro-80: #545454;
	--negro-60: #7F7F7F;
	--negro-40: #AAAAAA;
	--negro-20: #D4D4D4;
	--negro-10: #EAEAEA;
	--negro-5: #F4F4F4;
	--gris-100: #C0C0CC;
	--gris-80: #CCCCD6;
	--gris-60: #D9D9E0;
	--gris-40: #E6E6EB;
	--gris-20: #F2F2F5;
	--rojo-100: #F23030;
	--rojo-80: #F55A5A;
	--rojo-60: #F78383;
	--rojo-40: #FAACAC;
	--rojo-20: #FCD6D6;
	--rojo-10: #FEEAEA;
	--rojo-chip: #BF1313;
	--amarillo-100: #FFC700;
	--amarillo-80: #FFD233;
	--amarillo-60: #FFDD66;
	--amarillo-40: #FFE999;
	--amarillo-20: #FFF4CC;
	--amarillo-chip: #CC9F00;
	--naranja-100: #FF7A00;
	--naranja-80: #FF9533;
	--naranja-60: #FFAF66;
	--naranja-40: #FFCA99;
	--naranja-20: #FFE4CC;
	--verde-100: #13BF62;
	--verde-80: #42CC82;
	--verde-60: #71D9A1;
	--verde-40: #A1E5C0;
	--verde-20: #D0F2E0;
	--blanco: #FAFAFF;
	
	--default-shadow: 0px 2px 15px 0px rgba(110, 32, 188, 0.08);
	
	--tooltip-background: white;
	--tooltip-border-color: var(--morado-20);
	--tooltip-border-width: 1px;
	--tooltip-arrow-width: 7px;
	
	--form-margin: 3rem;
	
	--table-border: 1px solid var(--morado-40);
	--table-border-radius: 2px;
}

body{
	font-family: 'DM Sans', sans-serif;
	color: var(--negro-100);
	background-color: var(--morado-background);
}

html, body, #idGFRt, .repeater-modal-content {
	background-color: var(--morado-background);
}

.main-container {
	margin: 0;
}

.form-group.row {
	margin-bottom: 2rem;
	flex-direction: column;
}

.form-group {
	margin-bottom: 0;
}

h1 {
	font-size: 2.0rem;
	font-weight: normal;
	margin-bottom: 1.5rem;
	margin-top: 1rem;
	color: var(--negro-100) !important;
}

h2 {
	font-size: 1.65rem;
	font-weight: normal;
	margin-bottom: 1rem;
	margin-top: 1rem;
	color: var(--negro-100) !important;
}

h3 {
	font-size: 1.4rem;
	font-weight: normal;
	margin-bottom: 1rem;
	margin-top: 1rem;
	color: var(--negro-100) !important;
}

h4 {
	font-size: 1.25rem;
	font-weight: 500;
	margin-bottom: 1rem;
	margin-top: 1rem;
	color: var(--negro-100) !important;
}

h5 {
	font-size: 1.15rem;
	font-weight: 500;
	margin-bottom: 1rem;
	margin-top: 1rem;
	color: var(--negro-100) !important;
}

h6 {
	font-size: 1.05rem;
	font-weight: 500;
	margin-bottom: 1rem;
	margin-top: 1rem;
	color: var(--negro-100) !important;
}

p {
	margin-bottom: 1.5rem;
}

hr {
	margin: 2rem 0;
}

.file-upload-button {
	font-size: 0.9rem;
	border: 2px solid;
	border-color: var(--morado-100);
	color: var(--morado-100);
	border-radius: 0.3rem;
	padding: 0.3rem 0.5rem;
}

.file-upload-button:hover {
	background-color: var(--morado-10);
}

.edit-default {
	color: var(--morado-40);
}

.form-check-input[type="checkbox"] {
	border: 1px solid var(--morado-40);
	background-color: var(--blanco);
	border-radius: .125rem;
	transform: scale(1);
	background-size: auto !important;
}
.form-check-input[type="radio"] {
	border: 1px solid var(--morado-40);
	background-color: var(--blanco);
}
.form-check-input:checked {
	background-color: var(--morado-100);
	border-color: var(--morado-100);
}
.form-check-input:focus:not(:checked) {
	background-color: var(--blanco);
	border-color: var(--morado-100);
}


.radio {
	margin-top: .5rem;
}

.repeater-btn.btn-add-table {
	color: var(--morado-100);
	font-weight: 500;
}

.repeater-btn.btn-add-table:hover {
	color: var(--morado-75);
}


.form-control {
	border: 1px solid var(--morado-40); 
	background: var(--blanco);
}

.form-control:focus, .form-control:focus-visible {
	border: 1.5px solid var(--morado-80); 
	background: var(--blanco);
}

.form-control::placeholder, 
.form-control:-ms-input-placeholder, 
.form-control::-ms-input-placeholder {
	color: var(--morado-40) !important;
}

.form-label-group.in-border label  {
	color: var(--morado-40) !important;
}

a {
	color: var(--morado-100) !important;
}
a:hover {
	color: var(--morado-hover) !important;
}
a:active {
	color: var(--morado-60) !important;
}

.btn-primary, .btn-finish, .btn-edit {
	background: var(--morado-100);
	color: white !important;
	border-color: var(--morado-100) !important;
	font-weight: 700;
}
.btn-primary:hover, .btn-primary:focus-visible,
.btn-finish:hover, .btn-finish:focus-visible ,
.btn-edit:hover, .btn-edit:focus-visible {
	background: var(--morado-hover) !important;
	color: white !important;
	border-color: var(--morado-hover) !important;
}
.btn-primary:active, .btn-finish:active,
.btn-edit:active {
	background: var(--morado-60) !important;
	color: white !important;
	border-color: var(--morado-60) !important;
}
.btn-primary:disabled, .btn-primary[disabled],
.btn-finish:disabled, .btn-finish[disabled],
.btn-edit:disabled, .btn-edit[disabled] {
	background: var(--morado-20) !important;
	color: white !important;
	border-color: var(--morado-20) !important;
}

.btn-secondary, .btn-save {
	background: white !important;
	color: var(--morado-100) !important;
	border-color: var(--morado-100) !important;
	font-weight: 500;
}
.btn-secondary:hover, .btn-secondary:focus-visible,
.btn-save:hover, .btn-save:focus-visible {
	background: var(--morado-10) !important;
	color: var(--morado-100) !important;
	border-color: var(--morado-100) !important;
}
.btn-secondary:active,
.btn-save:active {
	background: var(--blanco) !important;
	color: var(--morado-100) !important;
	border-color: var(--morado-100) !important;
}